%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name %(echo %{name} | sed -e 's/^php-pear-//' -e 's/-/_/g')
%global channelname pear.dropbox-php.org

Name:           php-pear-Dropbox
Version:        1.0.0
Release:        1%{?dist}
Summary:        Library for integrating dropbox with PHP

License:        MIT
URL:            http://www.dropbox-php.com/
# src url: https://github.com/Dropbox-PHP/dropbox-php/archive/version-%{version}.tar.gz
Source0:        dropbox-php-version-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  php-pear >= 1:1.4.9-1.2
BuildRequires:  php-channel(%{channelname})

Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}

Requires:       php-oauth php-spl php-curl php-date php-hash
Requires:       php-json php-pcre

Provides:       php-pear(%{pear_name}) = %{version}
Provides:       php-pear(%{channelname}/%{pear_name}) = %{version}

%description
This PHP library allows you to easily integrate dropbox with PHP.
The library makes use of OAuth.


%prep
%setup -q -c
mv dropbox-php-version-%{version} %{pear_name}-%{version}
cd %{pear_name}-%{version}/src

[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}.xml


%build

%install
cd %{pear_name}-%{version}/src
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{channelname}/%{pear_name} >/dev/null || :
fi


%files
%doc %{pear_name}-%{version}/src/docdir/%{pear_name}/* %{pear_name}-%{version}/README.md
%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/%{pear_name}


%changelog
* Tue Feb 19 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 1.0.0-1
- Initial package